Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
select_args Struct Reference

## Data Fields
VALUE | read
VALUE | write
VALUE | except
struct timeval * | timeout
rb_fdset_t | fdsets [4]
union {
int fd
int error
} | as
rb_fdset_t * | read
rb_fdset_t * | write
rb_fdset_t * | except
struct waiting_fd | wfd
struct timeval * | tv

## Detailed Description

Definition at line 9207 of file io.c.

## Field Documentation

## ◆ as

union { ... } select_args::as

Referenced by rb_wait_for_single_fd().

## ◆ error

int select_args::error

Definition at line 4231 of file thread.c.

## ◆ except [1/2]

rb_fdset_t* select_args::except

Definition at line 4235 of file thread.c.

## ◆ except [2/2]

VALUE select_args::except

Definition at line 9208 of file io.c.

## ◆ fd

int select_args::fd

Definition at line 4230 of file thread.c.

Referenced by rb_wait_for_single_fd().

## ◆ fdsets

rb_fdset_t select_args::fdsets[4]

Definition at line 9210 of file io.c.

## ◆ read [1/2]

rb_fdset_t* select_args::read

Definition at line 4233 of file thread.c.

## ◆ read [2/2]

VALUE select_args::read

Definition at line 9208 of file io.c.

Referenced by rb_wait_for_single_fd().

## ◆ timeout

struct timeval* select_args::timeout

Definition at line 9209 of file io.c.

## ◆ tv

struct timeval* select_args::tv

Definition at line 4237 of file thread.c.

## ◆ wfd

struct waiting_fd select_args::wfd

Definition at line 4236 of file thread.c.

## ◆ write [1/2]

rb_fdset_t* select_args::write

Definition at line 4234 of file thread.c.

## ◆ write [2/2]

VALUE select_args::write

Definition at line 9208 of file io.c.

The documentation for this struct was generated from the following files:

- io.c
- thread.c